CORE13 - NTSC/PAL switching

06/13/2017 02:17 AM - Stephen

Status: Closed Start date: 06/13/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

I've noticed several times when I switch between PAL and NTSC, then do a "save and apply", when I exit, and exit the main screen

the core has frozen and no keys respond (F10, etc.)  It doesn't seem to matter if I go from PAL to NTSC, or from NTSC to PAL. 

When I do this, I am usually sitting at the BASIC prompt, with no code loaded.

History

#1 - 06/13/2017 11:16 AM - foft

Yeah I've noticed this too. I think there is a lockup on exiting the menu in general.

#2 - 06/29/2017 08:59 PM - foft

I think I've identified the problem. If the zpu happens to exit the menu at the end of an 'original' cycle the pbi logic can block the response from a

memory access. Now to think about how to implement this in a better way...

#3 - 07/04/2017 09:31 PM - foft

Trying to fix this one, but its nasty. I need more brain cycles to fix it...

#4 - 07/05/2017 09:40 PM - foft

Fixed, will be in v15 when I release it.

#5 - 07/05/2017 09:41 PM - foft

- Status changed from New to Closed
